tbDir:=			../../tb
voDir:=			../../project/src/xcorr
topDir:=		../../project/src
deUstbDir:=		../../project/src
tbFile:=		$(tbDir)/tb.v
voFile:=		$(voDir)/xcorr.vo
topFile:=		$(topDir)/top.v
deUstbFile:=	$(deUstbDir)/eliminate_shake.v

vcs:		
	vcs -debug_all -R -full64 -fsdb -sverilog	\
	-v ../../tb/prim_sim.v  		            \
	$(tbFile)			 						\
	$(voFile)          							\
	$(topFile)									\
	$(deUstbFile)								\
	+incdir+$(rtlDir)
vd:
	
	verdi -sverilog								\
	-v ../../tb/prim_sim.v		                \
	$(tbFile)			 						\
	$(voFile)          							\
	$(topFile)									\
	$(deUstbFile)								\
	+incdir+$(rtlDir)							\
	-ssf tb.fsdb								\
	&

#----------------------------------------------------------------------------------------------------
# Rule to clean temp files
#----------------------------------------------------------------------------------------------------
clean:
	rm -rf compile  *.err *.log csrc  run.do  simv  simv.daidir  ucli.key  vc_hdrs.h  work novas.rc  nWaveLog   vcd2fsdbLog  verilog.vcd  verilog.vcd.fsdb vsim.wlf simv.vdb INCA_libs waves.shm .simvision *.rc cov_work dataset.asdb  fcover.acdb  library.cfg elab_file *.ucdb verdiLog inter.vpd novas.conf wave.ses.png tb.fsdb data
	

